Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2002-2087

Overview

Vulnerability Score 4.6 4.6
CVE Id CVE-2002-2087
Last Modified 05 Sep 2008 04:32:17
Published 31 Dec 2002 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector LOCAL
Access Complexity LOW
Authentication NONE

CVE-2002-2087

Summary

Buffer overflow in Borland InterBase 6.0 allows local users to execute arbitrary code via a long INTERBASE environment variable when calling (1) gds_drop, (2) gds_lock_mgr, or (3) gds_inet_server.

Vulnerable Systems

Application

  • Borland Software Interbase 6.0


References

BID - 5046

BID - 5044

XF - interbase-interbase-variable-bo(9392)

BUGTRAQ - 20020618 Interbase 6.0 malloc() issues


Last Updated: 27 May 2016 10:37:36